@include font-faceEx("MinionPro-Regular", "MinionPro-Regular", 400, normal);
@include font-faceEx("MinionPro-Bold", "MinionPro-Bold", 700, normal);
@include font-faceEx("MinionPro-It", "MinionPro-It", 400, normal);

$fontRegular: 'MinionPro-Regular';
$fontBold: 'MinionPro-Bold';
$fontItalic: 'MinionPro-It';

html {
    font-size: $base__font-size;

    body {
        line-height: $base__line-height;
        font-size: $base__font-size;
        font-family: $fontRegular;

    }
}

body{
  //background: $main_blue;
  @include bzTransition();
}

.img-mb{
  display: none;
  @media screen and (max-width: 576px) {
    display: block !important;
  }
}
.img-dk{
  display: block;
  @media screen and (max-width: 576px) {
    display: none !important;
  }
}

.show-dk{
  display: initial;
  @media screen and (max-width: 576px){
    display: none !important;
  }
}

.show-mb{
  display: none;
  @media screen and (max-width: 576px) {
    display: block !important;
  }
}

h1, h2, h3, h4, h5, h6{
    font-weight: 700;
}

.view-container{
    padding-top: 93px;
}
a kaart {
    /* Stops ie from displaying a blue box around linked images */
    outline:0;
    border:0;
}
a{
  @include bzTransition();
  text-decoration: none;
  color: #000;
  outline: none;
  &:hover{
    text-decoration: none;
    color: inherit;
  }
}
.row{
    &::before, &::after{
        content: none!important;
    }
}
.close{
  position: relative;
  display: inline-block;
  width: 38px;
  height: 38px;
  overflow: hidden;
  &::before, &::after {
    content: '';
    position: absolute;
    height: 2px;
    width: 100%;
    top: 50%;
    left: 0;
    margin-top: -1px;
    background: #000;
  }
  &::before {
      transform: rotate(45deg);
  }
  &::after {
      transform: rotate(-45deg);
  }
  &.big {
      transform: scale(3);
  }
  &.hairline {
    &::before, &::after {
      height: 2px;
    }
  }
  &.thick {
    &::before, &::after {
      height: 4px;
      margin-top: -2px;
    }
  }
  &.black {
    &::before, &::after {
      height: 8px;
      margin-top: -4px;
    }
  }
  &.heavy {
    &::before, &::after {
      height: 12px;
      margin-top: -6px;
    }
  }
  &.pointy {
    &::Before, &::after {
      width: 200%;
      left: -50%;
    }
  }
  &.rounded {
    &::before, &::after {
      border-radius: 5px;
    }
  }
  &.blades {
    &::before, &::after {
      border-radius: 5px 0;
    }
  }
  &.warp {
    &::before, &::after {
      border-radius: 120% 0;
    }
  }
  &.fat {
    &::before, &::after {
      border-radius: 100%;
    }
  }
}

.btn{
    border: 1px solid $main_opposite_when_yellow;
    //background: #ACD58A;
    border-radius: 10px;
    color: $main_opposite_when_yellow;
    font-size: 20px;
    padding: 7px 28px;
    white-space: unset;
    @include bzTransition();
    .text-green{
        @include bzTransition();
        color: #82BC51;
        display: inline-block;
        font-size: 14px;
    }

    &:hover, &:active{
      opacity: 0.7;
        //color: #f3f8ec;
        //border-left-color: #acd58a;
        //background: #c9e3b2;
        .text-green{
            color: #acd58a;
        }
    }
    &:focus{
        outline: none;
        box-shadow: none;
    }
  &.btn-more-detail{
    margin-top: 20px;
  }
}

a.learn-more-btn-global{
  background-color: #fe0000;
  border: 1px solid #fe0000;
  color: #fff;
  font-family: Hind Guntur,sans-serif;
  font-size: 16px;
  margin-right: auto;
  margin-top: 36px;
  padding: 10px 20px 5px;
  text-align: center;
  text-transform: uppercase;
  display: inline-block;

  &:hover{
      background: white;
      color: #FE0000;
      border: 1px solid #FE0000;
  }
}
p{
    margin: 0;
}
.container{
    //padding: 0 30px;
}

.select2-dropdown {
    border: none;
}

.select2-container--default .select2-results > .select2-results__options {
    max-height: 300px;
}

.select2-results__option {
    padding: 8px 45px 8px 20px;
    font-family: $fontRegular;
    font-weight: 300;
    font-size: 20px;
}

.select2-search--dropdown {
    display: none;
}

.site-content{
  // min-height: 768px;
}

.kaart-wrap{
  overflow: hidden;
  kaart{
    width: 100%;
  }
}

// This style apply for the title
[data-background="blue"], [data-background="image"], [data-background="yellow"], [data-background="white"] {
  .text-color-blue {
    color: $another_blue;
  }
}

[data-background="blue"], [data-background="image"] {
  .text-color-basic {
    color: $white;
  }
}

[data-background="yellow"], [data-background="white"] {
  .text-color-basic {
    color: $main_opposite_when_yellow;
  }
}
// -----------------------------

[data-background="blue"]{
  background: $main_blue;
  .text-color-1{
    color: $another_blue;
  }
  .text-color-2{
    color: $white;
  }
  .text-color-3{
    color: $white;
  }
  .btn{
    border: 1px solid $white;
    color: $white;
  }
}

[data-background="yellow"]{
  background: $main_yellow;
  .text-color-1{
    color: $another_blue;
  }
  .text-color-2{
    color: $main_opposite_when_yellow;
  }
  .text-color-3{
    color: $main_opposite_when_yellow;
  }
}

[data-background="white"]{
  background: $white;
  .text-color-1{
    color: $another_blue;
  }
  .text-color-2{
    color: $main_opposite_when_yellow;
  }
  .text-color-3{
    color: $main_opposite_when_yellow;
  }
}

[data-background="image"]{
  .text-color-1{
    color: $white;
  }
  .text-color-2{
    color: $another_blue;
  }
  .text-color-3{
    color: $another_blue;
  }
  .no-border{
    border: none !important;
  }
}

.bz-font-regular{
  font-family: $fontRegular!important;
  font-weight: normal!important;
}
.bz-font-bold{
  font-family: $fontBold!important;
  font-weight: normal!important;
}
.bz-font-italic{
  font-family: $fontItalic!important;
  font-weight: normal!important;
}






@media (min-width: 1200px){
    .container {
        //max-width: 1080px;
    }
}
@media (min-width: 768px){
    .container {
        //max-width: 1080px;
    }
}
@media (min-width: 576px){
    .container {
        //max-width: 1080px;
    }
}
@media only screen and (max-width: 767px) {
    .select2-results__option {
        padding: 11px 35px 11px 12px;
        font-size: 12px;
    }
    .overflow-hidden{
        overflow: hidden;
    }
    .hidden-md-up{
        display: block;
    }
    .hidden-sm-down{
        display: none;
    }
    .btn{
        font-size: 18px;
        padding: 8.5px 30px;
        .text-green{
            font-size: 12px;
        }
    }
    .no-wrap-safari{
        flex-wrap: wrap;
    }
}

@media only screen and (max-width: 600px) {
    html #wpadminbar{
        position: fixed;
    }
}

@media only screen and (max-width: 374px) {
    .container{
        //padding: 0 20px;
    }
}

@include breakpoint(phone) {
    html{
      //font-size: 62.5%;
    }
}